<?php
	session_start();
	$ruta="../../../../";
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/creditointerno.php");
	$creditointerno=new creditointerno;
	include_once($ruta."class/creditointernomov.php");
	$creditointernomov=new creditointernomov;
	include_once($ruta."class/grupo.php");
	$grupo=new grupo;
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/fgarantia.php");
	$fgarantia=new fgarantia;
	include_once($ruta."class/grupocredito.php");
	$grupocredito=new grupocredito;
	include_once($ruta."class/tipobanca.php");
	$tipobanca=new tipobanca;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;

	$fecha=date("Y-m-d");
	extract($_POST);
	
	$dint=$dominio->mostrarUltimo(" tipo='INT.INTERNO' ");
	$interes=$idmonto*(intval($dint['nombre'])/100);
	$do=$dominio->muestra($idfrecuenciapago);

	$interesCred=$idmonto*($dint['short']/100)*$do['valor1']*$idnrocuotas;//interes para crediamigo
	$interesCli=$idmonto*($dint['codigo']/100)*$do['valor1']*$idnrocuotas;//interes para devolver a cliente

	$totalInteres=$interesCred+$interesCli;

	$dcred=$credito->muestra($idcredito);
	$montoPermitido=$dcred['montoOT']/2;
	$cantidadCI=$dcred['cantidadCI']+1;

	$montocuota=$idmonto/$idnrocuotas;

	/**** NUEVOS INTERNOS DIVIDENDOS  *****/
	$nuevoDivCLI=$dcred['interesDevCI']+$interesCli;
	$nuevoDivCAM=$dcred['interesCI']+$interesCli;
	/**************************************/

	$valcredito=array(
		'idcredito'=>"'$idcredito'",
		'monto'=>"'$idmonto'",
		'saldo'=>"'$idmonto'",
		'montocuota'=>"'$montocuota'",
		'lapsoDias'=>"'$idfrecuenciapago'",
		'plazo'=>"'$idnrocuotas'",
		'interesCred'=>"'$interesCred'",
		'interesCli'=>"'$interesCli'",
		'interescobrado'=>"'$totalInteres'",
		'interesadevolver'=>"'$interesCli'",
		'fechadesembolso'=>"'$idfechadesembolso'",
		'fechaprimer'=>"'$idfechavence'",
		'fechavencimiento'=>"'$idfechavence'",
		'fechaultpago'=>"'$idfechadesembolso'",
		'fechaproxve'=>"'$idfechavence'",
		'diasmora'=>"'0'",
		'estadocredito'=>"'151'",
		'estado'=>"'1'"
 	);
	if($creditointerno->insertar($valcredito))
	{
		$dcredI=$creditointerno->mostrarUltimo("idcredito=$idcredito");
		$idcreditoint=$dcredI['idcreditointerno'];
		$glosa="OTORGACION DE CRÉDITO";
		//genera movimiento de Otorgacion
		$valores2=array(
			"idcredito"=>"'$idcreditoint'",
			"codoperacion"=>"'1001'",
			"fecha"=>"'$fecha'",
			"saldo"=>"'$idmonto'",
			"glosa"=>"'$glosa'",
			"estadoant"=>"'150'",
			"estado"=>"'151'"
	 	);	
		$creditointernomov->insertar($valores2);
		$dcredMov=$creditointernomov->mostrarUltimo("idcredito=$idcreditoint");
		$lblcodeCOmp=ecUrl($dcredMov['idcreditointernomov']);
		$lblindcred=ecUrl($idindividualcredito);

		$valcreditoP=array(
			"cantidadCI"=>"'$cantidadCI'",
			"montoCI"=>"'$idmonto'",
			"saldoCI"=>"'$idmonto'",
			"interesDevCI"=>"'$nuevoDivCLI'",
			"interesCI"=>"'$nuevoDivCAM'",
			"fechaVenceCI"=>"'$idfechavence'"
	 	);
		$credito->actualizar($valcreditoP,$idcredito);
		
	  	?>
			<script type="text/javascript">
				swal({
					title: "Éxito",
					text: "Crédito otorgado correctamente",
					type: "success",
					confirmButtonColor: "#28e29e",
					confirmButtonText: "OK",
					closeOnConfirm: false
		        }, function () {
					window.open("imprimir/?lblcode=<?php echo $lblcodeCOmp ?>","_blank");
					location.href="../?lblcode=<?php echo $lblindcred ?>";
		        });
			</script>
		<?php
	}else{
		?>
			<script type="text/javascript">
				swal("ERROR","No se registro","error");
			</script>
       	<?php
		}
?>